// Copyright 1999 Karl Nelson.

#include <iostream>
#include <string>
#include <sigc++/sigc++.h>

#ifndef SIGC_CXX_NAMESPACES
#  define SigC::
#  define std::
#endif

void print(const std::string &str) 
  {std::cout << str;}

int main(int, char**)
{
	SigC::Signal1<void,const std::string &> printer;

	printer.connect(slot(print));

	printer("hello world\n");
}
